Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class SingleMalt

    java.lang.Object
      org.maltparser.parser.SingleMalt

All Implemented Interfaces:
  Configuration, DependencyParserConfig

    public class SingleMalt

extends Object
implements DependencyParserConfig

Author:
  Johan Hall

Field Summary
`protected ConfigurationDir` | `configDir`
`protected org.apache.log4j.Logger` | `configLogger`
`protected DataFormatInstance` | `dataFormatInstance`
`protected long` | `endTime`
`static int` | `LEARN`
`protected int` | `mode`
`protected int` | `nIterations`
`protected int` | `optionContainerIndex`
`static int` | `PARSE`
`protected Algorithm` | `parsingAlgorithm`
`protected PropagationManager` | `propagationManager`
`protected ConfigurationRegistry` | `registry`
`protected long` | `startTime`
`protected SymbolTableHandler` | `symbolTableHandler`

Constructor Summary
`SingleMalt()`

Method Summary
`void` | `addRegistry(Class<?> clazz, Object o)`
`void` | `checkOptionDependency()`
`Algorithm` | `getAlgorithm()`
`org.apache.log4j.Logger` | `getConfigLogger()`
`ConfigurationDir` | `getConfigurationDir()`
`ClassifierGuide` | `getGuide()` Returns the guide
`int` | `getMode()`
`OptionManager` | `getOptionManager()`
`Object` | `getOptionValue(String optiongroup, String optionname)`
`String` | `getOptionValueString(String optiongroup, String optionname)`
`PropagationManager` | `getPropagationManager()`
`ConfigurationRegistry` | `getRegistry()`
`SymbolTableHandler` | `getSymbolTables()` Returns the list of symbol tables
`org.apache.log4j.Logger` | `initConfigLogger(String logfile, String level)` Initialize the configuration logger
`void` | `initialize(int containerIndex, DataFormatInstance dataFormatInstance, ConfigurationDir configDir, int mode)`
`protected void` | `initParsingAlgorithm()` Initialize the parsing algorithm
`void` | `oracleParse(DependencyStructure goldGraph, DependencyStructure oracleGraph)`
`void` | `parse(DependencyStructure graph)`
`void` | `process(Object[] arguments)`
`void` | `setConfigLogger(org.apache.log4j.Logger logger)`
`void` | `setConfigurationDir(ConfigurationDir configDir)`
`void` | `setRegistry(ConfigurationRegistry registry)`
`void` | `terminate(Object[] arguments)`
`void` | `train()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEARN

    public static final int LEARN

See Also:
  Constant Field Values

### PARSE

    public static final int PARSE

See Also:
  Constant Field Values

### configDir

    protected ConfigurationDir configDir

### configLogger

    protected org.apache.log4j.Logger configLogger

### optionContainerIndex

    protected int optionContainerIndex

### parsingAlgorithm

    protected Algorithm parsingAlgorithm

### mode

    protected int mode

### registry

    protected ConfigurationRegistry registry

### symbolTableHandler

    protected SymbolTableHandler symbolTableHandler

### dataFormatInstance

    protected DataFormatInstance dataFormatInstance

### startTime

    protected long startTime

### endTime

    protected long endTime

### nIterations

    protected int nIterations

### propagationManager

    protected PropagationManager propagationManager

Constructor Detail

### SingleMalt

    public SingleMalt()

Method Detail

### initialize

    public void initialize(int containerIndex,
                           DataFormatInstance dataFormatInstance,
                           ConfigurationDir configDir,
                           int mode)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### initParsingAlgorithm

    protected void initParsingAlgorithm()
                                 throws MaltChainedException

  Initialize the parsing algorithm

  Throws:
    `MaltChainedException`

### addRegistry

    public void addRegistry(Class<?> clazz,
                            Object o)

### process

    public void process(Object[] arguments)
                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### parse

    public void parse(DependencyStructure graph)
               throws MaltChainedException

  Specified by:
    `parse` in interface `DependencyParserConfig`
  Throws:
    `MaltChainedException`

### oracleParse

    public void oracleParse(DependencyStructure goldGraph,
                            DependencyStructure oracleGraph)
                     throws MaltChainedException

  Specified by:
    `oracleParse` in interface `DependencyParserConfig`
  Throws:
    `MaltChainedException`

### train

    public void train()
               throws MaltChainedException

  Throws:
    `MaltChainedException`

### terminate

    public void terminate(Object[] arguments)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### initConfigLogger

    public org.apache.log4j.Logger initConfigLogger(String logfile,
                                                    String level)
                                             throws MaltChainedException

  Initialize the configuration logger

  Returns:
    the configuration logger
  Throws:
    `MaltChainedException`

### getConfigLogger

    public org.apache.log4j.Logger getConfigLogger()

  Specified by:
    `getConfigLogger` in interface `Configuration`

### setConfigLogger

    public void setConfigLogger(org.apache.log4j.Logger logger)

  Specified by:
    `setConfigLogger` in interface `Configuration`

### getConfigurationDir

    public ConfigurationDir getConfigurationDir()

  Specified by:
    `getConfigurationDir` in interface `Configuration`

### setConfigurationDir

    public void setConfigurationDir(ConfigurationDir configDir)

  Specified by:
    `setConfigurationDir` in interface `Configuration`

### getMode

    public int getMode()

### getRegistry

    public ConfigurationRegistry getRegistry()

  Specified by:
    `getRegistry` in interface `Configuration`

### setRegistry

    public void setRegistry(ConfigurationRegistry registry)

### getOptionValue

    public Object getOptionValue(String optiongroup,
                                 String optionname)
                          throws MaltChainedException

  Specified by:
    `getOptionValue` in interface `Configuration`
  Throws:
    `MaltChainedException`

### getOptionValueString

    public String getOptionValueString(String optiongroup,
                                       String optionname)
                                throws MaltChainedException

  Specified by:
    `getOptionValueString` in interface `Configuration`
  Throws:
    `MaltChainedException`

### getOptionManager

    public OptionManager getOptionManager()
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSymbolTables

    public SymbolTableHandler getSymbolTables()

  Returns the list of symbol tables

  Specified by:
    `getSymbolTables` in interface `Configuration`
  Returns:
    the list of symbol tables

### getPropagationManager

    public PropagationManager getPropagationManager()

  Specified by:
    `getPropagationManager` in interface `DependencyParserConfig`

### getAlgorithm

    public Algorithm getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `DependencyParserConfig`

### getGuide

    public ClassifierGuide getGuide()

  Returns the guide

  Specified by:
    `getGuide` in interface `DependencyParserConfig`
  Returns:
    the guide

### checkOptionDependency

    public void checkOptionDependency()
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.